import PageContent from '@/components/PageContent';
import PageTitle from '@/components/PageTitle';
import { UnityAction } from '@/utils/utils';
import { useParams } from '@umijs/max';
import styles from './index.less';

const HardwareController = (props) => {
  const { projectId } = useParams();

  return (
    <PageContent>
      <PageTitle>智能管控</PageTitle>

      <div
        className={`card-box ${styles.itemLong}`}
        onClick={() => UnityAction.sendMsg('innerItem', 'scada')}
      >
        工艺监控
        <div className={styles.arr}></div>
      </div>
      <div
        className={`card-box ${styles.itemLong}`}
        onClick={() => UnityAction.sendMsg('innerItem', 'sensor')}
      >
        感知监控
        <div className={styles.arr}></div>
      </div>
      <div
        className={`card-box ${styles.itemLong}`}
        onClick={() => UnityAction.sendMsg('innerItem', 'locate')}
      >
        室内定位
        <div className={styles.arr}></div>
      </div>
    </PageContent>
  );
};

export default HardwareController;
